<?php
//about theme info
add_action( 'admin_menu', 'bicycle_repair_gettingstarted' );
function bicycle_repair_gettingstarted() {    	
	add_theme_page( esc_html__('About Theme', 'bicycle-repair'), esc_html__('About Theme', 'bicycle-repair'), 'edit_theme_options', 'bicycle_repair_guide', 'bicycle_repair_mostrar_guide');   
}

// Add a Custom CSS file to WP Admin Area
function bicycle_repair_admin_theme_style() {
   wp_enqueue_style('custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/getting-started/getting-started.css');
}
add_action('admin_enqueue_scripts', 'bicycle_repair_admin_theme_style');

//guidline for about theme
function bicycle_repair_mostrar_guide() { 
	//custom function about theme customizer
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme( 'bicycle-repair' );

?>

<div class="wrapper-info">
	<div class="col-left">
		<div class="intro">
			<h3><?php esc_html_e( 'Welcome to Bicycle Repair WordPress Theme', 'bicycle-repair' ); ?> <span>Version: <?php echo esc_html($theme['Version']);?></span></h3>
		</div>
		<div class="started">
			<hr>
			<div class="free-doc">
				<div class="lz-4">
					<h4><?php esc_html_e( 'Start Customizing', 'bicycle-repair' ); ?></h4>
					<ul>
						<span><?php esc_html_e( 'Go to', 'bicycle-repair' ); ?> <a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e( 'Customizer', 'bicycle-repair' ); ?> </a> <?php esc_html_e( 'and start customizing your website', 'bicycle-repair' ); ?></span>
					</ul>
				</div>
				<div class="lz-4">
					<h4><?php esc_html_e( 'Support', 'bicycle-repair' ); ?></h4>
					<ul>
						<span><?php esc_html_e( 'Send your query to our', 'bicycle-repair' ); ?> <a href="<?php echo esc_url( BICYCLE_REPAIR_SUPPORT ); ?>" target="_blank"> <?php esc_html_e( 'Support', 'bicycle-repair' ); ?></a></span>
					</ul>
				</div>
			</div>
			<p><?php esc_html_e( 'Bicycle Repair is a simple, clean, and sophisticated WordPress theme for cycle stores, cycling clubs, Bicycle Repair businesses, bicycle and bike showrooms and manufacturers, professional cyclists, and more. It is a fantastic theme that is free for use and is implemented using the Bootstrap framework. It comes with a minimal design and retina-ready as well as responsive design that can wonderfully work for obtaining the best results on several screens as well as devices. Irrespective of your coding skills, this theme makes sure that you can design a professional web presence for your business without even writing any code. There are many personalization options given making sure that you can easily tweak the layout as per your needs. This beautiful theme also includes many Call to Action Buttons (CTA) so that users can easily click on them for the next course of action and it will also improve the conversion rates of your website. There are well-written and highly optimized codes using HTML5 that will greatly improve the overall performance of your website and make it lightweight. Social media icons are there to take care of the promotional aspect and the theme is already made SEO-friendly so that you will never feel the need to try something extra for obtaining the best ranks in search engines.', 'bicycle-repair')?></p>
			<hr>
			<div class="col-left-inner">
				<h3><?php esc_html_e( 'Get started with Free Bicycle Repair Theme', 'bicycle-repair' ); ?></h3>
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/customizer-image.png" alt="" />
			</div>
		</div>
	</div>
	<div class="col-right">
		<div class="col-left-area">
			<h3><?php esc_html_e('Premium Theme Information', 'bicycle-repair'); ?></h3>
			<hr>
		</div>
		<div class="centerbold">
			<a href="<?php echo esc_url( BICYCLE_REPAIR_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'bicycle-repair'); ?></a>
			<a href="<?php echo esc_url( BICYCLE_REPAIR_BUY_NOW ); ?>"><?php esc_html_e('Buy Pro', 'bicycle-repair'); ?></a>
			<a href="<?php echo esc_url( BICYCLE_REPAIR_PRO_DOCS ); ?>" target="_blank"><?php esc_html_e('Pro Documentation', 'bicycle-repair'); ?></a>
			<hr class="secondhr">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/bicycle-repair.jpg" alt="" />
		</div>
		<h3><?php esc_html_e( 'PREMIUM THEME FEATURES', 'bicycle-repair'); ?></h3>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon01.png" alt="" />
			<h4><?php esc_html_e( 'Banner Slider', 'bicycle-repair'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon02.png" alt="" />
			<h4><?php esc_html_e( 'Theme Options', 'bicycle-repair'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon03.png" alt="" />
			<h4><?php esc_html_e( 'Custom Innerpage Banner', 'bicycle-repair'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon04.png" alt="" />
			<h4><?php esc_html_e( 'Custom Colors and Images', 'bicycle-repair'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon05.png" alt="" />
			<h4><?php esc_html_e( 'Fully Responsive', 'bicycle-repair'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon06.png" alt="" />
			<h4><?php esc_html_e( 'Hide/Show Sections', 'bicycle-repair'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon07.png" alt="" />
			<h4><?php esc_html_e( 'Woocommerce Support', 'bicycle-repair'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon08.png" alt="" />
			<h4><?php esc_html_e( 'Limit to display number of Posts', 'bicycle-repair'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon09.png" alt="" />
			<h4><?php esc_html_e( 'Multiple Page Templates', 'bicycle-repair'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon10.png" alt="" />
			<h4><?php esc_html_e( 'Custom Read More link', 'bicycle-repair'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon11.png" alt="" />
			<h4><?php esc_html_e( 'Code written with WordPress standard', 'bicycle-repair'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon12.png" alt="" />
			<h4><?php esc_html_e( '100% Multi language', 'bicycle-repair'); ?></h4>
		</div>
	</div>
</div>
<?php } ?>