<?php
/**
 * Template Name: Custom Home
 */

get_header(); ?>

<main id="skip-content" role="main">

	<?php do_action( 'bicycle_repair_above_slider' ); ?>

	<?php if( get_theme_mod('bicycle_repair_slider_hide_show') != ''){ ?>
		<section id="slider">
			<div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
			    <?php $bicycle_repair_slider_pages = array();
			    for ( $count = 1; $count <= 4; $count++ ) {
			        $mod = intval( get_theme_mod( 'bicycle_repair_slider'. $count ));
			        if ( 'page-none-selected' != $mod ) {
			          $bicycle_repair_slider_pages[] = $mod;
			        }
			    }
		      	if( !empty($bicycle_repair_slider_pages) ) :
			        $args = array(
			          	'post_type' => 'page',
			          	'post__in' => $bicycle_repair_slider_pages,
			          	'orderby' => 'post__in'
			        );
		        	$query = new WP_Query( $args );
		        if ( $query->have_posts() ) :
		          	$i = 1;
		    	?>     
				    <div class="carousel-inner" role="listbox">
				      	<?php  while ( $query->have_posts() ) : $query->the_post(); ?>
					        <div <?php if($i == 1){echo 'class="carousel-item fade-in-image active"';} else{ echo 'class="carousel-item fade-in-image"';}?>>
					        	<div class="container py-5 my-md-5">
						        	<div class="row">
						        		<div class="col-lg-7 col-md-7 align-self-center slider-content">
						        			<div class="carousel-caption">
									            <div class="inner-carousel">
									              	<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
									              	<p class="mb-0"><?php $bicycle_repair_excerpt = get_the_excerpt(); echo esc_html( bicycle_repair_string_limit_words( $bicycle_repair_excerpt,15 ) ); ?></p>
									              	<a href="<?php the_permalink(); ?>" class="read-btn"><span><?php echo esc_html('READ MORE','bicycle-repair'); ?></span><span class="screen-reader-text"><?php echo esc_html('READ MORE','bicycle-repair'); ?></span></a>
							            		</div>
							            	</div>
						        		</div>
						        		<div class="col-lg-5 col-md-5 align-self-center">
						        			<div class="sliderimg">
					            				<img src="<?php esc_url(the_post_thumbnail_url('full')); ?>" alt="<?php the_title_attribute(); ?> "/>
										    </div>
						        		</div>
						        	</div>
						        </div>
					        </div>
				      	<?php $i++; endwhile; 
				      	wp_reset_postdata();?>
				    </div>
			    <?php else : ?>
			    	<div class="no-postfound"></div>
	      		<?php endif;
			    endif;?>
			    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
			      	<span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-angle-left"></i></span>
			      	<span class="screen-reader-text"><?php esc_html_e( 'Prev','bicycle-repair' );?></span>
			    </a>
			    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
			      	<span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-angle-right"></i></span>
			      	<span class="screen-reader-text"><?php esc_html_e( 'Next','bicycle-repair' );?></span>
			    </a>
			</div>
		  	<div class="clearfix"></div>
		</section>
	<?php }?>
	
	<?php do_action('bicycle_repair_below_slider'); ?>

	<section id="about-section" class="py-5">
		<div class="container">
			<?php $bicycle_repair_about_page = array();
	      	$mod = intval( get_theme_mod( 'bicycle_repair_about_page'));
	     	if ( 'page-none-selected' != $mod ) {
	        	$bicycle_repair_about_page[] = $mod;
	      	}
	    	if( !empty($bicycle_repair_about_page) ) :
	      	$args = array(
	        	'post_type' => 'page',
	        	'post__in' => $bicycle_repair_about_page,
	        	'orderby' => 'post__in'
	      	);
	      	$query = new WP_Query( $args );
	     	if ( $query->have_posts() ) :
		        while ( $query->have_posts() ) : $query->the_post(); ?> 
		        	<div class="row ">  
		        		<?php if(has_post_thumbnail()) { ?>	
			          		<div class="col-lg-7 col-md-6 align-self-center">
								<div class="about-img position-relative">
									<?php the_post_thumbnail(); ?>
								</div>
							</div>
						<?php }?>
						<div class="<?php if(has_post_thumbnail()) { ?>col-lg-5 col-md-6 <?php } else {?> col-lg-12 col-md-12 <?php }?> align-self-center">
							<div class="about-head mb-3 mt-3">
								<?php if(get_theme_mod('bicycle_repair_section_title') != ''){?>
									<h3><?php echo esc_html(get_theme_mod('bicycle_repair_section_title')); ?></h3>
								<?php }?>
							</div>
							<div class="about-content">
						      	<h4><?php the_title();?></h4>
						      	<p><?php the_excerpt(); ?></p>
						      	<div class="about-btn">
				            		<a href="<?php the_permalink(); ?>"><?php esc_html_e('READ MORE','bicycle-repair'); ?><span class="screen-reader-text"><?php esc_html_e('READ MORE','bicycle-repair'); ?></span></a>
						       	</div>
					       	</div>
					    </div>  
		          	</div>
		        <?php endwhile; 
		        wp_reset_postdata();?>
	      	<?php else : ?>
	          	<div class="no-postfound"></div>
	      	<?php endif;
	    	endif;?>
		</div>
	</section>

	<?php do_action('bicycle_repair_below_service_section'); ?>

	<div class="container">
	  	<?php while ( have_posts() ) : the_post(); ?>
	  		<div class="lz-content">
	        	<?php the_content(); ?>
	        </div>
	    <?php endwhile; // end of the loop. ?>
	</div>
</main>

<?php get_footer(); ?>